aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDuncaen <mail@duncano.de>2016-12-06 21:02:04 +0100
committerDuncaen <mail@duncano.de>2016-12-06 21:03:46 +0100
commit0b92865f3a1686b8aed43a75a4ca6e11dcd85eb2 (patch)
tree875fd707978c4ccab3a96f32b934828e3fe9e44d
parent05c9bcd955626a88063715dcdc0654a421dec7b4 (diff)
downloaddotfiles-0b92865f3a1686b8aed43a75a4ca6e11dcd85eb2.tar.gz
bin/venv: fix typo
-rwxr-xr-xbin/venv8
1 files changed, 3 insertions, 5 deletions
diff --git a/bin/venv b/bin/venv
index 1e6db04..afeca92 100755
--- a/bin/venv
+++ b/bin/venv
@@ -1,8 +1,6 @@
#!/bin/mksh
-if [ -z "$1" -o ! -d "$1" ]; then
- echo "venv: <path> [<cmd> [<arg>...]]" & exit 1
-fi
+[ -z "$1" -o ! -d "$1" ] && echo "venv: <path> [<cmd> [<arg>...]]" && exit 1
# virtualenv magic
unset PYTHONHOME
@@ -12,7 +10,7 @@ export PATH="$VIRTUAL_ENV/bin:$PATH"
shift 1
if [ "$#" -gt "1" ]; then
- "${@}"
+ "${@}"
else
- /bin/mksh
+ $(command -v mksh)
fi